﻿@using AutoMotori.Models
@model AutoMotori.ViewModels.AutomobilTipMotoraViewModel

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm("Create", "Automobil", FormMethod.Post))
{
    <div class="form-horizontal">
        <h4>Product</h4>
        <hr />
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Proizvodjac)
            @Html.TextBoxFor(m => m.Automobil.Proizvodjac, new { @class = "form-control", @placeholder = "proizvodjac" })
            @Html.ValidationMessageFor(m => m.Automobil.Proizvodjac)
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Model)
            @Html.TextBoxFor(m => m.Automobil.Model, new { @class = "form-control", @placeholder = "model" })
            @Html.ValidationMessageFor(m => m.Automobil.Model)
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Godiste)
            @Html.TextBoxFor(m => m.Automobil.Godiste, new { @class = "form-control", @placeholder = "godiste" })
            @Html.ValidationMessageFor(m => m.Automobil.Godiste)
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Zapremina)
            @Html.TextBoxFor(m => m.Automobil.Zapremina, new { @class = "form-control", @placeholder = "zapremina" })
            @Html.ValidationMessageFor(m => m.Automobil.Zapremina)
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Boja)
            @Html.TextBoxFor(m => m.Automobil.Boja, new { @class = "form-control", @placeholder = "boja" })
            @Html.ValidationMessageFor(m => m.Automobil.Boja)
        </div>
        <div class="form-group">
            @Html.Label("Tip motora");
            @Html.DropDownListFor(m => m.Automobil.TipMotora.Id, new SelectList(Model.TipoviMotora, "Id", "Naziv"))
        </div>
        <div class="form-group">
            <input type="submit" value="Create" class="btn btn-default" />
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}